import { X as e, w as t } from "./vue.runtime.esm-bundler-Bxqkjqhc.js";
import { O as n, n as r, w as i } from "./dist-DJmnUmW9.js";
import { C as a, b as o, x as s, y as c } from "./keys-B5SJtPWf.js";
//#region src/composables/useMergeTag.ts
function l() {
	let l = t(c, []), u = t(s, r.liquid), d = t(a, null), f = t(o, !0), p = e(!1);
	function m(e) {
		return n(e, u);
	}
	function h(e) {
		return i(e, l);
	}
	async function g() {
		if (!d) return null;
		p.value = !0;
		try {
			return await d();
		} finally {
			p.value = !1;
		}
	}
	return {
		mergeTags: l,
		isRequesting: p,
		canRequestMergeTag: !!d,
		autocomplete: f,
		syntax: u,
		isMergeTagValue: m,
		getMergeTagLabel: h,
		requestMergeTag: g
	};
}
//#endregion
export { l as t };
